Summary:	Screen locker for Wayland
Name:		swaylock
Version:	1.8.0
Release:	1
License:	MIT
Group:		Applications
Source0:	https://github.com/swaywm/swaylock/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	92833d2e6ca799b2d309263f26a91e80
Source1:	%{name}.pamd
URL:		https://github.com/swaywm/swaylock
BuildRequires:	bash-completion
BuildRequires:	cairo-devel
BuildRequires:	fish-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	scdoc
BuildRequires:	wayland-devel >= 1.20.0
BuildRequires:	wayland-protocols >= 1.25
BuildRequires:	xorg-lib-libxkbcommon-devel
Requires:	wayland >= 1.20.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
swaylock is a screen locking utility for Wayland compositors. It is
compatible with any Wayland compositor which implements the following
Wayland protocols:

- wlr-layer-shell
- wlr-input-inhibitor
- xdg-output
- xdg-shell

%package -n bash-completion-swaylock
Summary:	Bash completion for swaylock
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-swaylock
Bash completion for swaylock.

%package -n fish-completion-swaylock
Summary:	fish-completion for swaylock
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-swaylock
fish-completion for swaylock.

%package -n zsh-completion-swaylock
Summary:	ZSH completion for swaylock
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-swaylock
ZSH completion for swaylock.

%prep
%setup -q

%build
%meson build
%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/%{name}
%attr(755,root,root) %{_bindir}/swaylock
%{_mandir}/man1/swaylock.1*

%files -n bash-completion-swaylock
%defattr(644,root,root,755)
%{bash_compdir}/swaylock

%files -n fish-completion-swaylock
%defattr(644,root,root,755)
%{fish_compdir}/swaylock.fish

%files -n zsh-completion-swaylock
%defattr(644,root,root,755)
%{zsh_compdir}/_swaylock
%changelog
* Sat Aug 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/swaylock.git;a=log;h=master

* Fri Aug 23 2024 Jan Palus <atler@pld-linux.org> c52ecab
- up to 1.8.0

* Sat Jan 28 2023 Jan Palus <atler@pld-linux.org> c572df2
- up to 1.7.2

* Fri Jan 27 2023 Jan Palus <atler@pld-linux.org> 59a799c
- BR: pkgconfig

* Fri Jan 27 2023 Jan Palus <atler@pld-linux.org> 5c224b3
- up to 1.7.1

* Sun Nov 27 2022 Jan Palus <atler@pld-linux.org> 3f68b9c
- correct bash-completion epoch

* Sun Nov 27 2022 Jan Palus <atler@pld-linux.org> c50a2a0
- up to 1.7

* Tue Mar 08 2022 Jan Palus <atler@pld-linux.org> 1a62e55
- rpm version for noarch subpackage

* Tue Mar 08 2022 Jan Palus <atler@pld-linux.org> 91bec60
- up to 1.6

* Mon Jul 19 2021 Jan Palus <atler@pld-linux.org> 0f7e9fd
- new

